@extends('adminlte::page')

@section('title', 'USUARIOS')

@section('content_header')
@stop

@section('content')
    <livewire:administracion.usuario.create-usuario/>
    <livewire:administracion.usuario.show-usuarios/>
@stop

@section('css')
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />
@stop

@section('js')
    <script>
        Livewire.on('enableUser', function(message) {
        Swal.fire({
            position: 'center',
            icon: "success",
            title: 'Usuario, habilitado con éxito',
            })
        });

        Livewire.on('deleteUser', function(message) {
        Swal.fire({
            position: 'center',
            icon: "error",
            title: 'Usuario, Inhabilitado con éxito',
            })
        });

        Livewire.on('resetUser', function(message) {
        Swal.fire({
            position: 'center',
            icon: "info",
            title: 'Contraseña restaurada con éxito',
            })
        });

        Livewire.on('updateUser', function(message) {
        Swal.fire({
            position: 'center',
            icon: "success",
            title: 'Actualización satisfactoria',
            })
        });

        Livewire.on('editUser', function(message) {
            $('#editUser').modal('show');
        });

        Livewire.on('closeEditUser', function(message) {
            $('#editUser').modal('hide');
        });
    </script>

@if(session('user') == 'ok')
    <script>
        Swal.fire(
        'Exito!',
        'Usuario creado correctamente.',
        'success'
        )
    </script>
@endif

@if(session('user') == 'update')
    <script>
        Swal.fire(
        'Actualizado!',
        'El usuario se actualizo correctamente.',
        'success'
        )
    </script>
@endif

@if(session('user') == 'error')
    <script>
        Swal.fire({
            icon: 'error',
            title:'Oops...',
            text: 'Fallo el proceso',
        })  
    </script>
@endif

@if(session('user') == 'delete')
    <script>
        Swal.fire(
        'Desactivado!',
        'El usuario se desactivo correctamente.',
        'success'
        )
    </script>
@endif

@if(session('user') == 'active')
    <script>
        Swal.fire(
        'Activado!',
        'El usuario se activo correctamente.',
        'success'
        )
    </script>
@endif

@if(session('user') == 'empty')
    <script>
        Swal.fire({
            icon: 'warning',
            title:'Oops...',
            text: 'Ingrese datos solicitados',
        })
    </script>
@endif

@if(session('user') == 'reset')
    <script>
        Swal.fire(
        'Restablecido!',
        'La contraseña se restablecio correctamente.',
        'success'
        )
    </script>
@endif
@stop